Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.wps.portlets.struts
Interface WpsStrutsConstants

All Superinterfaces:
  WpsStrutsBaseConstants

    public interface WpsStrutsConstants

extends WpsStrutsBaseConstants

The `WpsStrutsConstants` class contains constants used throughout the WPS Struts portlet implementation.

Since:
  4.1

Field Summary
`static java.lang.String` | `ACTION_EVENT_KEY` The key used to retrieve ActionEvent from request object.
`static java.lang.String` | `ACTION_KEY` The key used to specify the Struts action.
`static java.lang.String` | `ACTION_LISTENER_KEY` The key used to specify the name of the WPS Action Listener.
`static java.lang.String` | `COMMAND_MANAGER_FACTORY_KEY` The key used to store the command manager factory.
`static java.lang.String` | `CONCRETE_NAME` The key used to specify the concrete portlet name.
`static java.lang.String` | `CONFIG_PARAM_MAX_ACTION_CHAINING` The config parameter is to set a the max action chaining value.
`static java.lang.String` | `CONFIG_PARAM_SECURITY_CSS_PROTECTION` The config parameter for portlet security css protection setting
`static java.lang.String` | `ERROR_RESPONSE_FORMATTER_KEY` The key used to store the Error Response Formatter.
`static java.lang.String` | `FORWARD_KEY` The key used to specify a Struts Forward.
`static java.lang.String` | `INCLUDE_TILE` Attribute name to indicate this is an include of tile.
`static java.lang.String` | `INCLUDE_TILE_COMMAND` Attribute name to obtain the include tile command.
`static java.lang.String` | `INIT_PARAM_CHECK_FILE_EXISTENCE` Throw a portlet exception if the included file cannot be found.
`static java.lang.String` | `INIT_PARAM_COMMAND_MANAGER_PLUGIN` The init parameter for the command manager plugin.
`static java.lang.String` | `INIT_PARAM_COMMANDS_PREFIX` The name of the configuration parameter for setting how commands are prefixed.
`static java.lang.String` | `INIT_PARAM_CONFIGURE_MODE` The name of the configuration parameter for specifying the configure mode label.
`static java.lang.String` | `INIT_PARAM_DETERMINE_STRUTS_CALLER_INFO` Deprecated.
`static java.lang.String` | `INIT_PARAM_EDIT_MODE` The name of the configuration parameter for specifying the edit mode label.
`static java.lang.String` | `INIT_PARAM_HELP_MODE` The name of the configuration parameter for specifying the help mode label.
`static java.lang.String` | `INIT_PARAM_HIDE_PARAMS_IN_RENDER` This init parameter allows hiding request parameters in the render phase.
`static java.lang.String` | `INIT_PARAM_INCLUDES_SEARCH_PATH` The name of the configuration parameter for specifying the path to use when searching for includes.
`static java.lang.String` | `INIT_PARAM_LAST_MODIFIED_SUPPORTED` Set to true to indicated last modified is supported by this application.
`static java.lang.String` | `INIT_PARAM_MODULE_SEARCH_PATH` Use this init parameter in the web deployment descriptor to specify the module search path The Client class is used as a bean for determining the properties that can be used.
`static java.lang.String` | `INIT_PARAM_NAMESCOPE_FORM_NAME` The Struts Portlet Framework namescopes the form names.
`static java.lang.String` | `INIT_PARAM_NAMESCOPE_SERVLET_CONTEXT` This init parameter allows the WpsStrutsPortlet to be defined in the web deployment descriptor more than once.
`static java.lang.String` | `INIT_PARAM_PROCESSING_PHASE_SUPPORTED` This init parameter is for Struts action processing phase support, default is true.
`static java.lang.String` | `INIT_PARAM_STRUTS_SERVLET_MAPPING` Specifies the name of the Struts servlet mapping in the web deployment descriptor.
`static java.lang.String` | `INIT_PARAM_SUB_APPLICATION_SEARCH_PATH` Deprecated.
`static java.lang.String` | `INIT_PARAM_USE_GROUPS_FOR_ACCESS` The name of the configuration parameter for determining whether to use groups in place of roles in processRoles.
`static java.lang.String` | `INIT_PARAM_USE_PORTALS_LOCALE` This parameter will allow a Struts application to use the request processor's processLocale method for controlling locale.
`static java.lang.String` | `INIT_PARAM_VIEW_MODE` The name of the configuration parameter for specifying the view mode label.
`static java.lang.String` | `INIT_PARAM_WELCOME_FILE_SEARCH_PATH` The init parameter for the search path for welcome files.
`static java.lang.String` | `PREVIOUS_MODE` The key used for storing the previous mode.
`static java.lang.String` | `PROCESSING_PHASE` Attribute name for processing phase.
`static int` | `RELEASE_NUMBER` Current release number.
`static java.lang.String` | `REMOVE_ON_MODE_CHANGE` Attribute name to indicate that a command should be removed on a mode change.
`static java.lang.String` | `RENDER_PHASE` This value indicated response phase.
`static java.lang.String` | `REQUEST_PHASE` This value indicates request phase.
`static java.lang.String` | `SESSION_STATE` The key used for storing the session state.
`static java.lang.String` | `SET_LAST_MODIFIED` Attribute name to indicate the last modified time should be set.
`static java.lang.String` | `SPF_DEFAULT_MESSAGE_RESOURCES_NAME` The name of the default message resources file for the Struts Portlet Framework.
`static java.lang.String` | `SPF_MESSAGE_ATTRIBUTE` The IStrutsPortletMessage interface allows specifying an attribute that should be made available to Struts actions.
`static java.lang.String` | `STRUTS_VIEW_ACTION` Attribute name to indicate this is a view action.
`static java.lang.String` | `TILES_DEFINITION` Attribute name to indicate the last Tiles controller that was invoked.
`static java.lang.String` | `VIEW_COMMAND_FACTORY_KEY` The key used for storing the command view factory.
`static java.lang.String` | `VIEW_COMMANDS` The key used for storing the view command.

Fields inherited from interface com.ibm.wps.portlets.struts.WpsStrutsBaseConstants
`CONFIGURE_MODE, CONTEXT_PATH_PREFIX, EDIT_MODE, HELP_MODE, ISTRUTS_PREPARE_RENDER_ACTION, ISTRUTS_SINGLE_ACTION, LOOP_COUNT, MAX_LOOP_COUNT, PATH_DATA, PREFIX, PSEUDO_RESPONSE, VIEW_MODE, WPS_ACTION_SERVLET_KEY`

Field Detail

### ACTION_KEY

    static final java.lang.String ACTION_KEY

  The key used to specify the Struts action. Typically this is the name of the request parameter for the Struts action URL.

  See Also:
    Constant Field Values

### FORWARD_KEY

    static final java.lang.String FORWARD_KEY

  The key used to specify a Struts Forward. Typically this key would be used with the default portlet message sent to a WpsStrutsPortlet.

  See Also:
    Constant Field Values

### CONCRETE_NAME

    static final java.lang.String CONCRETE_NAME

  The key used to specify the concrete portlet name. The WpsStrutsPortlet allows filter messages on a per concrete portlet name.

  See Also:
    Constant Field Values

### ACTION_LISTENER_KEY

    static final java.lang.String ACTION_LISTENER_KEY

  The key used to specify the name of the WPS Action Listener.

  See Also:
    Constant Field Values

### VIEW_COMMAND_FACTORY_KEY

    static final java.lang.String VIEW_COMMAND_FACTORY_KEY

  The key used for storing the command view factory.

  See Also:
    Constant Field Values

### COMMAND_MANAGER_FACTORY_KEY

    static final java.lang.String COMMAND_MANAGER_FACTORY_KEY

  The key used to store the command manager factory.

  See Also:
    Constant Field Values

### ERROR_RESPONSE_FORMATTER_KEY

    static final java.lang.String ERROR_RESPONSE_FORMATTER_KEY

  The key used to store the Error Response Formatter.

  See Also:
    Constant Field Values

### ACTION_EVENT_KEY

    static final java.lang.String ACTION_EVENT_KEY

  The key used to retrieve ActionEvent from request object.

  See Also:
    Constant Field Values

### SPF_MESSAGE_ATTRIBUTE

    static final java.lang.String SPF_MESSAGE_ATTRIBUTE

  The IStrutsPortletMessage interface allows specifying an attribute that should be made available to Struts actions. This is the published name that can be used to retrieve the object from the request object.

  See Also:
    Constant Field Values

### VIEW_COMMANDS

    static final java.lang.String VIEW_COMMANDS

  The key used for storing the view command.

  See Also:
    Constant Field Values

### SESSION_STATE

    static final java.lang.String SESSION_STATE

  The key used for storing the session state.

  See Also:
    Constant Field Values

### PREVIOUS_MODE

    static final java.lang.String PREVIOUS_MODE

  The key used for storing the previous mode.

  See Also:
    Constant Field Values

### RELEASE_NUMBER

    static final int RELEASE_NUMBER

  Current release number.

  See Also:
    Constant Field Values

### REMOVE_ON_MODE_CHANGE

    static final java.lang.String REMOVE_ON_MODE_CHANGE

  Attribute name to indicate that a command should be removed on a mode change.

  See Also:
    Constant Field Values

### TILES_DEFINITION

    static final java.lang.String TILES_DEFINITION

  Attribute name to indicate the last Tiles controller that was invoked.

  See Also:
    Constant Field Values

### SET_LAST_MODIFIED

    static final java.lang.String SET_LAST_MODIFIED

  Attribute name to indicate the last modified time should be set.

  See Also:
    Constant Field Values

### INCLUDE_TILE

    static final java.lang.String INCLUDE_TILE

  Attribute name to indicate this is an include of tile.

  See Also:
    Constant Field Values

### INCLUDE_TILE_COMMAND

    static final java.lang.String INCLUDE_TILE_COMMAND

  Attribute name to obtain the include tile command.

  See Also:
    Constant Field Values

### PROCESSING_PHASE

    static final java.lang.String PROCESSING_PHASE

  Attribute name for processing phase.

  See Also:
    Constant Field Values

### REQUEST_PHASE

    static final java.lang.String REQUEST_PHASE

  This value indicates request phase.

  See Also:
    Constant Field Values

### RENDER_PHASE

    static final java.lang.String RENDER_PHASE

  This value indicated response phase.

  See Also:
    Constant Field Values

### INIT_PARAM_STRUTS_SERVLET_MAPPING

    static final java.lang.String INIT_PARAM_STRUTS_SERVLET_MAPPING

  Specifies the name of the Struts servlet mapping in the web deployment descriptor.

  See Also:
    Constant Field Values

### INIT_PARAM_SUB_APPLICATION_SEARCH_PATH

    static final java.lang.String INIT_PARAM_SUB_APPLICATION_SEARCH_PATH

  Deprecated.
  The name of the configuration parameter for sub application search path. This parameter is being replaced by INIT_PARAMETER_PARAM_MODULE_SEARCH_PATH.

  See Also:
    Constant Field Values

### INIT_PARAM_MODULE_SEARCH_PATH

    static final java.lang.String INIT_PARAM_MODULE_SEARCH_PATH

  Use this init parameter in the web deployment descriptor to specify the module search path The Client class is used as a bean for determining the properties that can be used. The default value if not specified is "markupName, mode".

  See Also:
    Constant Field Values

### INIT_PARAM_EDIT_MODE

    static final java.lang.String INIT_PARAM_EDIT_MODE

  The name of the configuration parameter for specifying the edit mode label.

  See Also:
    Constant Field Values

### INIT_PARAM_CONFIGURE_MODE

    static final java.lang.String INIT_PARAM_CONFIGURE_MODE

  The name of the configuration parameter for specifying the configure mode label.

  See Also:
    Constant Field Values

### INIT_PARAM_HELP_MODE

    static final java.lang.String INIT_PARAM_HELP_MODE

  The name of the configuration parameter for specifying the help mode label.

  See Also:
    Constant Field Values

### INIT_PARAM_VIEW_MODE

    static final java.lang.String INIT_PARAM_VIEW_MODE

  The name of the configuration parameter for specifying the view mode label.

  See Also:
    Constant Field Values

### INIT_PARAM_INCLUDES_SEARCH_PATH

    static final java.lang.String INIT_PARAM_INCLUDES_SEARCH_PATH

  The name of the configuration parameter for specifying the path to use when searching for includes. The Client class is treated as a bean for determining the properties that can be used. Note, if this parameter is not specified then the PortletContext.include is used.

  See Also:
    Constant Field Values

### INIT_PARAM_DETERMINE_STRUTS_CALLER_INFO

    static final java.lang.String INIT_PARAM_DETERMINE_STRUTS_CALLER_INFO

  Deprecated.
  The name of the configuration parameter for determining whether to determine Struts caller info.

  See Also:
    Constant Field Values

### INIT_PARAM_USE_GROUPS_FOR_ACCESS

    static final java.lang.String INIT_PARAM_USE_GROUPS_FOR_ACCESS

  The name of the configuration parameter for determining whether to use groups in place of roles in processRoles.

  See Also:
    Constant Field Values

### INIT_PARAM_COMMANDS_PREFIX

    static final java.lang.String INIT_PARAM_COMMANDS_PREFIX

  The name of the configuration parameter for setting how commands are prefixed.

  See Also:
    Constant Field Values

### INIT_PARAM_USE_PORTALS_LOCALE

    static final java.lang.String INIT_PARAM_USE_PORTALS_LOCALE

  This parameter will allow a Struts application to use the request processor's processLocale method for controlling locale. The default value is true and will use the portals locale and also support dynamic changes.

  See Also:
    Constant Field Values

### INIT_PARAM_NAMESCOPE_FORM_NAME

    static final java.lang.String INIT_PARAM_NAMESCOPE_FORM_NAME

  The Struts Portlet Framework namescopes the form names. This means that javascript functions, etc needs to know the encoded name. Set this paramter to false in the web deployment descriptor to turn off the feature of namescoping the form name. Note that if the form name is not namescoped it is up to the developer to assure the porlet will not be added to the page more than once and there will not be a name collision with other portlets.

  See Also:
    Constant Field Values

### INIT_PARAM_LAST_MODIFIED_SUPPORTED

    static final java.lang.String INIT_PARAM_LAST_MODIFIED_SUPPORTED

  Set to true to indicated last modified is supported by this application.

  See Also:
    Constant Field Values

### INIT_PARAM_PROCESSING_PHASE_SUPPORTED

    static final java.lang.String INIT_PARAM_PROCESSING_PHASE_SUPPORTED

  This init parameter is for Struts action processing phase support, default is true.

  See Also:
    Constant Field Values

### INIT_PARAM_HIDE_PARAMS_IN_RENDER

    static final java.lang.String INIT_PARAM_HIDE_PARAMS_IN_RENDER

  This init parameter allows hiding request parameters in the render phase. The default is false.

  See Also:
    Constant Field Values

### INIT_PARAM_NAMESCOPE_SERVLET_CONTEXT

    static final java.lang.String INIT_PARAM_NAMESCOPE_SERVLET_CONTEXT

  This init parameter allows the WpsStrutsPortlet to be defined in the web deployment descriptor more than once.

  See Also:
    Constant Field Values

### INIT_PARAM_COMMAND_MANAGER_PLUGIN

    static final java.lang.String INIT_PARAM_COMMAND_MANAGER_PLUGIN

  The init parameter for the command manager plugin. Note that plugins only have access to the ActionServlet, The moduleConfig object will be `null`.

  See Also:
    Constant Field Values

### INIT_PARAM_WELCOME_FILE_SEARCH_PATH

    static final java.lang.String INIT_PARAM_WELCOME_FILE_SEARCH_PATH

  The init parameter for the search path for welcome files.

  See Also:
    Constant Field Values

### CONFIG_PARAM_SECURITY_CSS_PROTECTION

    static final java.lang.String CONFIG_PARAM_SECURITY_CSS_PROTECTION

  The config parameter for portlet security css protection setting

  See Also:
    Constant Field Values

### CONFIG_PARAM_MAX_ACTION_CHAINING

    static final java.lang.String CONFIG_PARAM_MAX_ACTION_CHAINING

  The config parameter is to set a the max action chaining value.

  See Also:
    Constant Field Values

### STRUTS_VIEW_ACTION

    static final java.lang.String STRUTS_VIEW_ACTION

  Attribute name to indicate this is a view action.

  See Also:
    Constant Field Values

### SPF_DEFAULT_MESSAGE_RESOURCES_NAME

    static final java.lang.String SPF_DEFAULT_MESSAGE_RESOURCES_NAME

  The name of the default message resources file for the Struts Portlet Framework.

  See Also:
    Constant Field Values

### INIT_PARAM_CHECK_FILE_EXISTENCE

    static final java.lang.String INIT_PARAM_CHECK_FILE_EXISTENCE

  Throw a portlet exception if the included file cannot be found.

  See Also:
    Constant Field Values

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD